
We provide a Python SDK to interface programmatically with Ango Hub.

### SDK Documentation

The Documentation of imerit-ango is available in:

https://docs.imerit.net/sdk/sdk-documentation

--------------
For using API functionalities of Ango-Hub platform.
    
    bash ./release.sh


## Local Development Guidelines
The actively used branch is `imerit`. To develop a new feature, branch out from the `imerit` branch and then open a pull request to `imerit`.

All the available `SDK` methods are under the `SDK` class in the `imerit_ango/sdk.py` file. To add a new method, simply create a new method inside the class definition.

### Conventions
Private methods are named with double underscore before their names (__). For example: 

```python
def __calculate_something():
    pass
```

### Running Tests Locally
For testing locally, create a file with a file name of your choice (lets say `test.py`). If the test file is at the root of the project, a sample code would look like this:

```python
from imerit_ango.sdk import SDK

sdk = SDK(api_key="YOUR_API_KEY", host="ANGO_HUB_SERVER_IP")

sdk.get_project("123456789")

```


"YOUR_API_KEY" can be obtained by [following the guide in the SDK docs](https://docs.imerit.net/sdk/sdk-documentation#obtaining-your-api-key).
"ANGO_HUB_SERVER_IP" is the address of the [Ango Hub server instance](https://github.com/imerit-io/angohub-server) you would like to use. If you need
to use the local version of the server, run the server locally and give the IP address of the local address of the
server (which is `http://127.0.0.1:3001` by default). You may also use `http://test.ango.ai` or `http://imerit.ango.ai` based on what you
need.

